Package org.jfree.layouting.input.style.parser

## Class CSSValueFactory

- java.lang.Object
- - org.jfree.layouting.input.style.parser.CSSValueFactory

-     public class CSSValueFactory
      extends java.lang.Object

  Creation-Date: 25.11.2005, 17:43:38
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `COMPOUND_PREFIX` |
    `static java.lang.String` | `SIMPLE_PREFIX` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSValueFactory​(StyleKeyRegistry registry)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CSSNumericValue` | `createLengthValue​(org.w3c.css.sac.LexicalUnit value)` |
    `static CSSNumericValue` | `createNumericValue​(org.w3c.css.sac.LexicalUnit value)` |
    `static CSSStringValue` | `createUriValue​(org.w3c.css.sac.LexicalUnit value)` |
    `static boolean` | `isFunctionValue​(org.w3c.css.sac.LexicalUnit unit)` |
    `static boolean` | `isLengthValue​(org.w3c.css.sac.LexicalUnit value)` |
    `static boolean` | `isNumericValue​(org.w3c.css.sac.LexicalUnit value)` |
    `static CSSAttrFunction` | `parseAttrFunction​(org.w3c.css.sac.LexicalUnit unit)` |
    `static org.w3c.css.sac.LexicalUnit` | `parseComma​(org.w3c.css.sac.LexicalUnit value)` |
    `static CSSFunctionValue` | `parseFunction​(org.w3c.css.sac.LexicalUnit unit)` |
    `void` | `parseValue​(CSSDeclarationRule rule, java.lang.String name, org.w3c.css.sac.LexicalUnit value, boolean important)` |
    `void` | `registerDefaults​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SIMPLE_PREFIX

          public static final java.lang.String SIMPLE_PREFIX

      See Also:
        Constant Field Values

    - #### COMPOUND_PREFIX

          public static final java.lang.String COMPOUND_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CSSValueFactory

          public CSSValueFactory​(StyleKeyRegistry registry)

  - ### Method Detail

    - #### registerDefaults

          public void registerDefaults​()

    - #### parseAttrFunction

          public static CSSAttrFunction parseAttrFunction​(org.w3c.css.sac.LexicalUnit unit)

    - #### isFunctionValue

          public static boolean isFunctionValue​(org.w3c.css.sac.LexicalUnit unit)

    - #### parseFunction

          public static CSSFunctionValue parseFunction​(org.w3c.css.sac.LexicalUnit unit)

    - #### parseValue

          public void parseValue​(CSSDeclarationRule rule,
                                 java.lang.String name,
                                 org.w3c.css.sac.LexicalUnit value,
                                 boolean important)
                          throws CSSParserFactoryException

      Throws:
        `CSSParserFactoryException`

    - #### createUriValue

          public static CSSStringValue createUriValue​(org.w3c.css.sac.LexicalUnit value)

    - #### isNumericValue

          public static boolean isNumericValue​(org.w3c.css.sac.LexicalUnit value)

    - #### createNumericValue

          public static CSSNumericValue createNumericValue​(org.w3c.css.sac.LexicalUnit value)

    - #### isLengthValue

          public static boolean isLengthValue​(org.w3c.css.sac.LexicalUnit value)

    - #### createLengthValue

          public static CSSNumericValue createLengthValue​(org.w3c.css.sac.LexicalUnit value)

    - #### parseComma

          public static org.w3c.css.sac.LexicalUnit parseComma​(org.w3c.css.sac.LexicalUnit value)